PDF::API2::Resource::Font::CoreFont(3p)

NAME
PDF::API2::Resource::Font::CoreFont - Module for using the 14 PDF built-in fonts.

SYNOPSIS
    use PDF::API2;
    my $pdf = PDF::API2->new();
    my $font = $pdf->corefont('Times-Roman');

METHODS

$font = PDF::API2::Resource::Font::CoreFont->new($pdf, $name, %options)
    Returns a corefont object. Spaces and hyphens are ignored in the name, which is also case-insensitive.

    Valid %options are:

    "-encode" changes the encoding of the font from its default. See Encode for the supported values.

    "-pdfname" changes the reference name of the font from its default. The reference name is normally generated automatically and can be retrieved via "$name = $font-"fontname()>.

SUPPORTED FONTS

PDF::API2::CoreFont supports the following Adobe core fonts:
      Courier
      Courier-Bold
      Courier-BoldOblique
      Courier-Oblique
      Helvetica
      Helvetica-Bold
      Helvetica-BoldOblique
      Helvetica-Oblique
      Symbol
      Times-Bold
      Times-BoldItalic
      Times-Italic
      Times-Roman
      ZapfDingbats

PDF::API2::CoreFont supports the following Windows fonts:
      Georgia
      Georgia,Bold
      Georgia,BoldItalic
      Georgia,Italic
      Verdana
      Verdana,Bold
      Verdana,BoldItalic
      Verdana,Italic
      Webdings
      Wingdings